package com.ruoyi.common.constant;

/**
 * 作业票状态枚举
 * 0 待审核，90已驳回，10 申请中(措施待确认)、20待交底（措施已确定，等待交底人签字）、30会签中（已交底）、40作业中（已会签完成）、50已验收
 */
public enum WorkTicketStatusEnum {
//    CREATE("创建","100"),
//    CHECK_PENDING("待审核","0"),
//    REJECT("已驳回","90"),
//    APPLICATION("申请中(措施待确认)","10"),
//    DISCLOSE("待交底（措施已确定，等待交底人签字）","20"),
//    COUNTERSIGN("会签中（已交底）","30"),
//    OPERATION("作业中（已会签完成）","40"),
//    APPROVED("已验收","50");

    CREATE("创建", "0"),
    DISCLOSE_v2("待交底（创建后，需要监护人签字）", "10"),
    ACCEPT_v2("待接受（交底人签字后，需要负责人签字）", "20"),
    COUNTERSIGN_v2("审核中（接受人签字后）", "30"), //审核中：原会签中
    OPERATION_v2("作业中（各部门已会签完成-签字模板配置的所有项）", "40"),
    APPROVED_v2("已验收（作业负责人签字）", "50");


    private String name;
    private String value;

    WorkTicketStatusEnum(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
